//
//
// MidiPortException.java
//
// Author: Robert Marsanyi
// Copyright 1996 Robert Marsanyi
// All Rights Reserved.
//
//

/**
 * General MIDI exception.
 */
public class MidiPortException extends Exception {
    /**
     * Constructor.
     */
    public MidiPortException() {
		super();
    }

    /**
     * Constructor with error number.
     */
    public MidiPortException(int rc) {
		super("MIDI error return code: " + rc);
    }

    /**
     * Constructor with string.
     */
    public MidiPortException(String string) {
		super("MIDI error: " + string);
    }
}


